# Uses of Class
com.fasterxml.jackson.core.exc.InputCoercionException

Packages that use InputCoercionException
Package
Description
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.exc
Package for some of `JsonProcessingException` subtypes contained by streaming API.

## Uses of InputCoercionException in com.fasterxml.jackson.core.base

Methods in com.fasterxml.jackson.core.base that throw InputCoercionException
Modifier and Type
Method
Description
`protected void`
ParserMinimalBase.`_reportInputCoercion(String msg, JsonToken inputType, Class<?> targetType)`

## Uses of InputCoercionException in com.fasterxml.jackson.core.exc

Methods in com.fasterxml.jackson.core.exc that return InputCoercionException
Modifier and Type
Method
Description
`InputCoercionException`
InputCoercionException.`withParser(JsonParser p)`
Fluent method that may be used to assign originating `JsonParser`, to be accessed using `StreamReadException.getProcessor()`.
`InputCoercionException`
InputCoercionException.`withRequestPayload(RequestPayload p)`